Skip to navigation

Templates Update For Team

View as Markdown

Update a template associated with a team. This route can update the template name, the template description and add optional properties to templates.

Required scope: files.team_metadata.write

Endpoint format: RPC

Authentication: Team

Authentication

AuthorizationBearer

Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use Authorization: Bearer <token>.

Obtain via the authorization code flow with team-scoped permissions.

Grants access to team-wide administrative operations.

You can generate a short-lived access token from the App Console; see Testing with a generated token.

Request

This endpoint expects an object.
template_idstringRequiredformat: "(/|ptid:).*">=1 character

An identifier for template added by See templates/add_for_user or templates/add_for_team.

add_fieldslist of objects or nullOptional
Property field templates to be added to the group template. There can be up to 32 properties in a single template.
descriptionstring or nullOptional
Description for the new template. Template descriptions can be up to 1024 bytes.
namestring or nullOptional
A display name for the template. template names can be up to 256 bytes.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
template_idstringformat: "(/|ptid:).*">=1 character

An identifier for template added by route See templates/add_for_user or templates/add_for_team.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error